Subject: exec of shell scripts
From: [email-masked]

3 Nov 1998 14:00:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

The readme's indicate a change in shell script handling - they say that #!
is now honored.

However, it appears that scripts with NO #! no longer work at all.

Similarly, scripts with a relative name after #! do not work, even thought
the name is in the path.

Both worked in B19.

All my experiments are under bash. I haven't looked at code so I don't know
for sure if this is bash behavior or exec behavior.

I have /bin/sh and /bin/bash.

Specific examples:

(/tmp) cat foo
echo a
(/tmp) /tmp/foo
bash.exe: /tmp/foo: No such file or directory

(/tmp) cat foo
#!sh
echo a
(/tmp) /tmp/foo
bash.exe: /tmp/foo: No such file or directory

(/tmp) cat foo
#!/bin/sh
echo a
(/tmp) /tmp/foo
a

Marc Auslander   <[email-masked]>   914 945-4346  (Fax x4425)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".